View Issue Details

IDProjectCategoryView StatusLast Update
0004441unrealircdpublic2015-10-30 09:21
ReporterblankAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0.0-rc3 
Summary0004441: (possible?) /map bug
Descriptionconnected as IRC operator

server links: *** (link) Link TKCHA01. -> TKCHA09.[@0:0:0:0:0:0:0:1.60998] established

no errors or further messages

/map shows:

TKCHA01. (761) 001
End of /MAP

/links shows:

TKCHA02. TKCHA01. 1 TKCHA02
TKCHA01. TKCHA01. 0 TKCHA01
End of /LINKS list.

newly linked server present in /links but not /map
TagsNo tags attached.
3rd party modules

Activities

blank

2015-10-28 22:20

reporter   ~0018815

edit: first line should read 'server links: *** (link) Link TKCHA01. -> TKCHA02.[@0:0:0:0:0:0:0:1.60998] established', pasted wrong link

syzop

2015-10-29 17:58

administrator   ~0018824

The server is really called like that? A name with a dot at the end? Pretty unusual ;)

Hm, I've never seen any MAP vs LINKS differences. Is it easy for you to reproduce?

Do you have any servers that match your ulines { } block ? (That may thus be hidden)

blank

2015-10-29 19:45

reporter   ~0018827

Oops, ulines { } get hidden in /map but not in /links? I guess that's it then :p

syzop

2015-10-29 20:12

administrator   ~0018828

Did you check?
Possibly you did /map as ircop and /links as regular user?

Other important point: never add normal unrealircd servers to ulines {}. Its for services only.

syzop

2015-10-30 09:21

administrator   ~0018832

Fixed, thanks for the report :)

[unreal40 e77ebaf] Add 'map' to default operclass privileges so opers see ulines and the real map (not flat-map). Reported by blank (0004441).

https://github.com/unrealircd/unrealircd/commit/e77ebaf26bb3bd0049c2ade5122ae908d38ae149

Issue History

Date Modified Username Field Change
2015-10-28 22:19 blank New Issue
2015-10-28 22:20 blank Note Added: 0018815
2015-10-29 17:58 syzop Note Added: 0018824
2015-10-29 19:45 blank Note Added: 0018827
2015-10-29 20:12 syzop Note Added: 0018828
2015-10-30 09:21 syzop Note Added: 0018832
2015-10-30 09:21 syzop Status new => resolved
2015-10-30 09:21 syzop Fixed in Version => 4.0.0-rc3
2015-10-30 09:21 syzop Resolution open => fixed
2015-10-30 09:21 syzop Assigned To => syzop